org.apache.ignite.internal.util.lang

## Class GridPredicate3X<E1,E2,E3>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridPredicate3X<E1,E2,E3>

All Implemented Interfaces:
  GridPredicate3<E1,E2,E3>

Direct Known Subclasses:
  PX3

    public abstract class GridPredicate3X<E1,E2,E3>
    extends Object
    implements GridPredicate3<E1,E2,E3>

Convenient predicate subclass that allows for thrown grid exception. This class implements `apply(Object, Object, Object)` method that calls `applyx(Object, Object, Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `PX3`

### Constructor Summary

Constructors
Constructor and Description
`GridPredicate3X()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `apply(E1 e1, E2 e2, E3 e3)` Predicate body.
`abstract boolean` `applyx(E1 e1, E2 e2, E3 e3)` Predicate body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridPredicate3X

    public GridPredicate3X()

### Method Detail

#### apply

    public boolean apply(E1 e1,
                         E2 e2,
                         E3 e3)

Predicate body.

Specified by:
  `apply` in interface `GridPredicate3<E1,E2,E3>`
Parameters:
  `e1` - First bound free variable, i.e. the element the closure is called or closed on.
  `e2` - Second bound free variable, i.e. the element the closure is called or closed on.
  `e3` - Third bound free variable, i.e. the element the closure is called or closed on.
Returns:
  Return value.

#### applyx

    public abstract boolean applyx(E1 e1,
                                   E2 e2,
                                   E3 e3)
                            throws IgniteCheckedException

Predicate body that can throw `IgniteCheckedException`.

Parameters:
  `e1` - First bound free variable, i.e. the element the predicate is called or closed on.
  `e2` - Second bound free variable, i.e. the element the predicate is called or closed on.
  `e3` - Third bound free variable, i.e. the element the predicate is called or closed on.
Returns:
  Return value.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the predicate.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018